<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>globus_gram_protocol</name>
    <title>GRAM Protocol Definition</title>
    <filename>globus_gram_protocol</filename>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_job_state_updates</docanchor>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_delegation</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_functions</name>
    <title>Functions</title>
    <filename>group__globus__gram__protocol__functions.html</filename>
    <subgroup>globus_gram_protocol_error_messages</subgroup>
    <subgroup>globus_gram_protocol_framing</subgroup>
    <subgroup>globus_gram_protocol_io</subgroup>
    <subgroup>globus_gram_protocol_pack</subgroup>
    <subgroup>globus_gram_protocol_unpack</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_signal</name>
    <title>GRAM Signals</title>
    <filename>group__globus__gram__protocol__job__signal.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_gram_protocol_job_signal_t</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>ga7f97d16875a469bdbcc608919bbab2e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a68a43294c8b0e94f7caa4ed6556559f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9b2c4d2130c4d9f6fc2fb0e0bd935fca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a73beb9ac8f199648a615c89da019e42e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a0657b13be8214a9f7d904317a0ee6173</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a446972d01fb4e570fa925d24d1353e3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9596878f12da244aa34e581a921dfde3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1ab9a29673e5b8a381cfe49c6acbf7bb74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1aa16b86d37b89be46552be11d1267296f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a695d07bc70c7fc2ed022f23c435ffe64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a80e20b9b5990432954280510719b1884</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a68a43294c8b0e94f7caa4ed6556559f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9b2c4d2130c4d9f6fc2fb0e0bd935fca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a73beb9ac8f199648a615c89da019e42e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a0657b13be8214a9f7d904317a0ee6173</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a446972d01fb4e570fa925d24d1353e3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9596878f12da244aa34e581a921dfde3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1ab9a29673e5b8a381cfe49c6acbf7bb74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1aa16b86d37b89be46552be11d1267296f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a695d07bc70c7fc2ed022f23c435ffe64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a80e20b9b5990432954280510719b1884</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__signal">globus_gram_protocol_job_signal_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_state</name>
    <title>GRAM Job States</title>
    <filename>group__globus__gram__protocol__job__state.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_gram_protocol_job_state_t</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>ga7ee774d35df5e9243f18c998aef47936</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a6d189b817380789a19bc4eb8a36dc2b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aebcb91f39b010998eef5607579cf07c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a4aa5df65b704384af76fcd9f2024b09d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ae0b33655ec6fa61a40e4436cb8dfd056</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ad9942bb756a52a0368e264d2559266df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a145615bd81d2ba42df2f236499bc371d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aa9bf73d18631d50b97320d59af3ce489</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ab2d6e2977a6e34ba4faadcd9da83f8e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936afa8c58a66302f7ba4047310cbbf0172b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a6d189b817380789a19bc4eb8a36dc2b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aebcb91f39b010998eef5607579cf07c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a4aa5df65b704384af76fcd9f2024b09d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ae0b33655ec6fa61a40e4436cb8dfd056</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ad9942bb756a52a0368e264d2559266df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a145615bd81d2ba42df2f236499bc371d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aa9bf73d18631d50b97320d59af3ce489</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ab2d6e2977a6e34ba4faadcd9da83f8e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936afa8c58a66302f7ba4047310cbbf0172b</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__state">globus_gram_protocol_job_state_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error</name>
    <title>GRAM Error codes</title>
    <filename>group__globus__gram__protocol__error.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_gram_protocol_error_t</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>ga863534740ac3b78cff476a36d197bfad</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_PARAMETER_NOT_SUPPORTED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada135cb6bf753f018d6213804af03d4e13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_REQUEST</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7cffa075e65412dd4b8511a5ae929204</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_NO_RESOURCES</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada024f857418d71403ad3d3dbb13bcef0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_DIRECTORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada78f94cfc0a9793599a5a3b80d541c005</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_EXECUTABLE_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab8f8c8dc01e232b7f34e2640480796d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INSUFFICIENT_FUNDS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada88cde0ae647a4d897cee050685f4c58b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_AUTHORIZATION</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac28e1ddad6669211b77836db37cdc9a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_USER_CANCELLED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadabcb92d3d4a8ea9f9f1dd0cfca17e6462</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_SYSTEM_CANCELLED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa5957f88fcaeb75e103a4a4bfae274d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_PROTOCOL_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7d74c1d535ec75ded04845fdfa2af086</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STDIN_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6e41f2fccf7d4951a0f66dfa41b7f0d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CONNECTION_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadad8192c838e7bf908a634123fd7a560b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_MAXTIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1eabec91e93c972fb2940c1b35dc991b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_COUNT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadade48b06eb456b95236548dc455b3a135</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_NULL_SPECIFICATION_TREE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada660b268f15b40923b3ab23525504869d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JM_FAILED_ALLOW_ATTACH</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0739a5de1dfc9474e878e2530db73826</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOB_EXECUTION_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa606406255713633f27258749f927dc4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_PARADYN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9f3d0bea870312bd1eee41b84e874fa6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_JOBTYPE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada41819671eb5d22ea684c4d007adce64f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_GRAM_MYJOB</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae4fd0a4b34b3b36700a338e7a0a53ab7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_SCRIPT_ARG_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadafeb3b423d80f06c8bdb94537a7c6b7dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_ARG_FILE_CREATION_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae4feac027f3cbb53e37faf5510e4a34a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_JOBSTATE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab362d0677fcf6f31d13fb642f12d1910</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SCRIPT_REPLY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae17feb43fd488dfe405928545eae3b3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SCRIPT_STATUS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadafeaa2ac27d9a8674640025c5565ab177</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOBTYPE_NOT_SUPPORTED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac51e1bab94b7fbf826c57d30ce1a9502</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_UNIMPLEMENTED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2dbecb5f7e39945091bc335d4bb4d656</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_TEMP_SCRIPT_FILE_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac7121549fbff5bb982078d4571621c3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_USER_PROXY_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada916da1140977f793253669b97815334b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_USER_PROXY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada726a7110b2491cd22d2c0425046b0ccb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOB_CANCEL_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1b073f4b672dcd4b609fa99b8b465f9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_MALLOC_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada26e43b670dda06be33dd271ec456299c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_DUCT_INIT_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac8379ce93c0936cb99ebc4e9701a055d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_DUCT_LSP_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada88a4b273c4ccb9ec79f835bea7287dd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_HOST_COUNT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada07e723fd516da17c312797e4bfe6f6b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_UNSUPPORTED_PARAMETER</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadad3fc35a3ac41cfc6aeaebae97a6ce8e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_QUEUE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada906738e1d8006db336d87dab62d2c633</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_PROJECT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae5d65a5e0bf2e1562c02688a5acf4905</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_EVALUATION_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada83d4d559daed62f9744e77f0224e6229</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_RSL_ENVIRONMENT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada00f795014400a0856c5b0a4055a64980</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_DRYRUN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae61e00545379dc2e61adda4c3d8af19a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_ZERO_LENGTH_RSL</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadafd60fe5e8a26926d0440f2ba04d64940</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STAGING_EXECUTABLE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada90acbf8d14508fb121c27b4b5d0c7016</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STAGING_STDIN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada528588a374953d4c9b34d67d0a77287e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_JOB_MANAGER_TYPE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada73d50988719bca19e8e9b97b5e5537d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_ARGUMENTS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada772bfcf4e8be1572be9be00f5bb527f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_GATEKEEPER_MISCONFIGURED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1ef0c5da9c61f514123b55dc44bf6e34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_RSL</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada41f923b722c3588ba82b4978a0b22740</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_VERSION_MISMATCH</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadacc8d2528361ef060e5f64ca3a5d84628</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_ARGUMENTS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadd78286dd42faf94cd447b9596166139</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_COUNT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadad398e5971c8023ef033a7eb2ff8525b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_DIRECTORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada34bacccd1b33c06b5fdffb4a5f8cfaaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_DRYRUN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9afa26c3adb89529fe3403ab9a08847b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_ENVIRONMENT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaf95e1c0f6e71803db0e94fc5e113ba27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_EXECUTABLE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1cdd2da0d87167979e4739dcc29db425</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_HOST_COUNT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadacb34eb74f3afb4337c5f59535ed058fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_JOBTYPE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada3a2861435af2e2f40991bf5bc13ac029</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MAXTIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada8641dabd411e8869e4c78e088c7a1552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MYJOB</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada32e118e914328c7f7b1d801a5ed6277e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_PARADYN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6f462187549bed5de9122ccb23f1ac6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_PROJECT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae36358cbcbd3caf51d477b74a385c730</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_QUEUE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadacd6063765e9c8237b4f1670a24960faf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_STDERR</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2a41857415669825152349abc8d134dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_STDIN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa42b4d129581140c6d2e7adcd062bb74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_STDOUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9bcd025bfc42abc75d2636f88cce8fe1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_JOBMANAGER_SCRIPT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab2772f1e9adb9cdee2834810dd44f635</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CREATING_PIPE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada245215d562078b0edf60d9a28ad1e08f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_FCNTL_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaba6fc2220ed2b2f68bb9297bd4747b3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STDOUT_FILENAME_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0abe76be06e2c2221212e6a77fbd9641</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STDERR_FILENAME_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9976841c58bbf9c5b8035ee947bfc1e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_FORKING_EXECUTABLE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada705fcba699a2dd93c1c3bfd151ce02e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_EXECUTABLE_PERMISSIONS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1878719cf957207e85d1c3a6c5e659c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_STDOUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1d54f839c23bf5a2d62071b7c39949b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_STDERR</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada85fcf1b7c047d8c151fbc6bf06980831</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_CACHE_USER_PROXY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadabb6319a5200c0d39d1c8ddf72ce71ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_CACHE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada8f8814ad52f5a9f4b9846f68c062c29f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INSERTING_CLIENT_CONTACT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0c46bf1dfad6a485b047c669695e7538</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CLIENT_CONTACT_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada036e70020510b45457d52e2e73e940cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CONTACTING_JOB_MANAGER</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac41ebb45bc02a91c7b584afd87e82923</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_JOB_CONTACT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada618c1d6d7e2732d34bb208b868bdf7da</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_UNDEFINED_EXE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1c33a4304bfe2e73f42cd0ec3808ef62</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CONDOR_ARCH</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada29f01348004ebc734c9d8262f229012a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CONDOR_OS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada5f8aca763197fa56f68f106bc57fd8b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MIN_MEMORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6b8d3c01f6d06e88bc80f6cded8ebc9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MAX_MEMORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae7849c74acfaa4f7094341f741c48eec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_MIN_MEMORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada17f1558298cceb41e7caefc43f2ace4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_MAX_MEMORY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaebae19021ee6c9b6009dec99e837f18f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_HTTP_FRAME_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7a5c96c0dbafa927ce53575317caecaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_HTTP_UNFRAME_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadbf8f70e2e024d39606f7586a13895b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_HTTP_PACK_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae53d240ada78b21615e1c38fcc8975fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_HTTP_UNPACK_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadff2ae3da651ec0ff2a504a1e7c4b0b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_JOB_QUERY</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadad0d9bce126c73b655843f6047ef1fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_SERVICE_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2218f03f0808cc18a182906d49da9b43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOB_QUERY_DENIAL</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab20a4df5dd9202ba16716c012cf98a62</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_CALLBACK_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada3bbd9a0ee71fc4ce8780d5221a65ac3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_BAD_GATEKEEPER_CONTACT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1fee49846411b0df1684a72c9506d337</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_POE_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab4350d57a9b347c1488c95532827d89c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_MPIRUN_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa4f830977bf4f5e43ed751325f88d36b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_START_TIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada662f72b1e1919437cc4af8c0cd33d119</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_RESERVATION_HANDLE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadab801aacab7b640fd8e41a58afb068e5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MAX_WALL_TIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0794330bccc7b86331806110a1994caf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_MAX_WALL_TIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada5c0f29523693df058b6343a1321751cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_MAX_CPU_TIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada122cbeff2ce3f7276efa4cbf791e07b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_MAX_CPU_TIME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2272f0c3d52d6b8c8dc09dbdf49d67df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JM_SCRIPT_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7cc6134d6d41770b54e42e5f4ac1b246</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JM_SCRIPT_PERMISSIONS</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadedc045b61da95c0d4e09bde03e9cb95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_SIGNALING_JOB</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa8557ec59ed5a026a98ac578ea3ed9ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_UNKNOWN_SIGNAL_TYPE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac9a3d7a9d8c912266b0b85590c9e302b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_GETTING_JOBID</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada066e1fb952d0499e90bb4fcbe40a8a4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_WAITING_FOR_COMMIT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada777c230e54f84774e3156e6fd16f61c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_COMMIT_TIMED_OUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6fc903ba6a4c74308da63a86e277bdc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_SAVE_STATE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada5a89a5e75b687123d16ab2f1295025aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_RESTART</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9d3f171517eeff6fa5e40af29970d5c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_TWO_PHASE_COMMIT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadabeef6d7818f9037f4b21cd6417f2bd70</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_TWO_PHASE_COMMIT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa0b5a172a2ed332d554325a6f795c2ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_STDOUT_POSITION</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6c01b1cd44cc8136366cdbaef41d282a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_STDOUT_POSITION</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada4f830d7125b9e4252dfa4b5a90f2df8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_STDERR_POSITION</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadada1f5c1b014ecbb72d528b805bc3fff0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_STDERR_POSITION</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada4acb3b03e76a6da6b2fc40119c83040a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RESTART_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0d5569621ddea326f665a3e96235fc17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_NO_STATE_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada98ee94205e176bb84c78b7de50aa85c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_READING_STATE_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadacd2e9627875232470b678109b7834a2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_WRITING_STATE_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac7c745567b7ca94b8108aa6264a08b67</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OLD_JM_ALIVE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadafb731b4b2e61e46ff7ff56496b13f30f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_TTL_EXPIRED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac1e3497b7399d1729ab48611a83a8dd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_SUBMIT_UNKNOWN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada144cffa71ff8254bcf8cefe3cb8b7d93</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_REMOTE_IO_URL</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada298277cd395279787a8be8b457e47920</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_WRITING_REMOTE_IO_URL</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9fb57d6d4e6362a7425bc821af65de4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STDIO_SIZE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac7b4a1e692b084cd6ba077e77728e9c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JM_STOPPED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaec8b069d79bffd8bc65c74e5338cb90c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_USER_PROXY_EXPIRED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada96a859f1cfaecce611815cd2d8a6ef0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOB_UNSUBMITTED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2268eb5c8d83a7a1192a1c030b59a116</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_COMMIT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae7d0853d41be14a63705ed32c52806ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_SCHEDULER_SPECIFIC</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9f96fd05a4b98f0e5690e9525ab0dd0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STAGE_IN_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7ae181b1a368177579e057f03ec94d9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SCRATCH</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada81b0c399f485eb821a231c6a1b2d02af</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_CACHE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaf1ce22538c3e9284c6486138cb7ec8b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SUBMIT_ATTRIBUTE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae95758d6e0cd9433bc7749f29a7056d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_STDIO_UPDATE_ATTRIBUTE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada44537df179dc953d2c5ade030599df0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_RESTART_ATTRIBUTE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada73f3d2223044f4f57c3b70c59a427283</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_FILE_STAGE_IN</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9c922bffe330f708e4dd3828c0862429</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_FILE_STAGE_IN_SHARED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada5de81d0869e16044d249fd4f6fbe9747</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_FILE_STAGE_OUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada8c159631be75d862bde47fb65f4868f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_GASS_CACHE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada879de0898902374889707bfc55bedbeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_FILE_CLEANUP</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadadd1f5a3553ddfd79e7468860153efb8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_SCRATCH</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae5f7ec1fc06ce64cb2149899080ed47c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SCHEDULER_SPECIFIC</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada30c2b371fca31aaee04cf895ff640a05</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_UNDEFINED_ATTRIBUTE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada5b77113aa8c14fd6041128eb08f84a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_CACHE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaa0b6a3eb551f6f09efc1f1e790ac74b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_SAVE_STATE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7d78e778ab85003dbfa77ab1442261f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_OPENING_VALIDATION_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6305c015ab550786e9a58af3da655092</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_READING_VALIDATION_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada7ad5db2d4b8012237bde1eaec5482363</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_PROXY_TIMEOUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada3abf5a06c8bc70db3d89e68e9fb5a4f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_PROXY_TIMEOUT</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada8adf41b5d1393b8448ba79f81806397c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STAGE_OUT_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada1458d5f1bfbdd55dde1a7193d54ad3a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_JOB_CONTACT_NOT_FOUND</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaba67ad8be2ac6441297b6aef26fc091a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_DELEGATION_FAILED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae03ab21a5cc08cf67847307d28f9aca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_LOCKING_STATE_LOCK_FILE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada76bb3e328384778435e36f878f3eab4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_ATTR</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadac86d02a9c32b4beafc9ae145cc51a62b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_NULL_PARAMETER</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada886cdedbde30e16f277df62da20c58b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_STILL_STREAMING</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada2e49439b2e499e41a77ac36a1f9c2540</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_AUTHORIZATION_DENIED</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada253375664667eec4fd57eb588b7cadaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_AUTHORIZATION_SYSTEM_FAILURE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada6923e39cb3bac181de82d394ec88fa64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_AUTHORIZATION_DENIED_JOB_ID</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada9dba2aa55c6b916f53b6c2cb30f72ef8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_AUTHORIZATION_DENIED_EXECUTABLE</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfada0ef9eeaff4726217d68f445e6a908a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_RSL_USER_NAME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaf8a8905575ff70063cc1cfda0a97e8a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_INVALID_USER_NAME</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadae882b0bad15fe0227c7de811bc972d54</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_ERROR_LAST</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>gga863534740ac3b78cff476a36d197bfadaea360fd67a3b81311640e4687bbaabe1</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__error">globus_gram_protocol_error_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error_messages</name>
    <title>Error Messages</title>
    <filename>group__globus__gram__protocol__error__messages.html</filename>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_protocol_error_string</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga3a34390199dff664dd92a1647465dfd9</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_7_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>gaa78493f676d09e91b77eb51b2ba8a21f</anchor>
      <arglist>(const char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_10_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga1727057d911624fca9f8599aa1063377</anchor>
      <arglist>(const char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_framing</name>
    <title>Message Framing</title>
    <filename>group__globus__gram__protocol__framing.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_request</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>ga802c7ddc5d740a8924c4d8ea4da34ccf</anchor>
      <arglist>(const char *url, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_reply</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>gad36cdae83ef495c64ef51eb4a4e0c59b</anchor>
      <arglist>(int code, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_io</name>
    <title>Message I/O</title>
    <filename>group__globus__gram__protocol__io.html</filename>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>globus_gram_protocol_handle_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga52f0d72e2a837c8ebf8982ae620b8c1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_gram_protocol_hash_entry_s</type>
      <name>globus_gram_protocol_extension_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga3469e6c745f6e13ed624fd955a5017da</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_setup_attr</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gac5c42885829361fcf8a1879760b9e89e</anchor>
      <arglist>(globus_io_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_gram_protocol_authorize_self</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga29305e6c34a83eb86ebb82000335f4a8</anchor>
      <arglist>(gss_ctx_id_t context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_allow_attach</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga5672d838f7c38e983d09c4c73e00b0eb</anchor>
      <arglist>(char **url, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_callback_disallow</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga439b63f5fba38e88262ec5fbc2626f31</anchor>
      <arglist>(char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gad1abe20b6a040c49266f17d96d160b38</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gab3c5a442047e896b80dc47915ba0204c</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, gss_cred_id_t cred_handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_reply</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gab69a2fc894783c133b16aa8ca4d6546c</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, int code, globus_byte_t *message, globus_size_t message_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_accept_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gac2cc914d51bd024266403c46728bcd4b</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_delegation_callback_t callback, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_get_sec_context</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga84b9c461ea14b11f86100b7e9d4cc12d</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_ctx_id_t *context)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_pack</name>
    <title>Message Packing</title>
    <filename>group__globus__gram__protocol__pack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga86417f402c997031f6353a70ca3b853f</anchor>
      <arglist>(int job_state_mask, const char *callback_url, const char *rsl, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga38661e5ce3605686330946020f4d921a</anchor>
      <arglist>(int status, const char *job_contact, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga870c36c04014e9951a9360d9a90d4485</anchor>
      <arglist>(int status, const char *job_contact, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga431d7940fdad541823245facc7200ef9</anchor>
      <arglist>(const char *status_request, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga016c5b35447ecf9a6c86c062c509c412</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga5eb14f052e85d85e6b8f02db9e66263a</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga9f9d7d5f6c369cb81acd439643fce83f</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>gac1e323a172f8e59639ef5f3855335ed4</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_version_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>gaae76ed0305e54bc75ccbe3febc66939c</anchor>
      <arglist>(char **request, size_t *requestsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_unpack</name>
    <title>Message Unpacking</title>
    <filename>group__globus__gram__protocol__unpack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga09bf3cfb5440080bc03c93297c782df9</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, int *job_state_mask, char **callback_url, char **description)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga0af9386e715e6a0ded25151ce12d1479</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gade3cdec17d95611a36f87697096221e5</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gac75cb1eb57899932612e3da79fadc706</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, char **status_request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gafda4b17bfddd3cbe1e333e24cb5e07af</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *job_status, int *failure_code, int *job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gafccfbf252a972d26760498384dccd917</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gaf789826b960913b2e6047445e3ff5eae</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, char **job_contact, int *status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga944733f4c400455c91f33d23136bf320</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_hash_destroy</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga4870cad9c52d744ae5348f5bb4bde643</anchor>
      <arglist>(globus_hashtable_t *message_hash)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Globus GRAM Protocol</title>
    <filename>index</filename>
  </compound>
</tagfile>
